Last Comment Bug 738558 - B2G RIL: get cell location and cell id in processRegistrationState in ril_worker.js
: B2G RIL: get cell location and cell id in processRegistrationState in ril_wor...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: unspecified
: All Gonk (Firefox OS)
: -- normal (vote)
: mozilla15
Assigned To: Yoshi Huang[:allstars.chh]
:
Mentors:
Depends on:
Blocks: 715788
  Show dependency treegraph
 
Reported: 2012-03-23 00:08 PDT by Kan-Ru Chen [:kanru] (UTC+8)
Modified: 2012-06-19 14:01 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
+


Attachments
[WIP]Get LAC and CID (2.93 KB, patch)
2012-03-26 21:18 PDT, Yoshi Huang[:allstars.chh]
no flags Details | Diff | Splinter Review
Get LAC and CID (3.54 KB, patch)
2012-05-31 00:12 PDT, Yoshi Huang[:allstars.chh]
philipp: review+
Details | Diff | Splinter Review

Description Kan-Ru Chen [:kanru] (UTC+8) 2012-03-23 00:08:37 PDT
A-GPS needs these information to provide reference location.
Comment 1 Yoshi Huang[:allstars.chh] 2012-03-26 21:18:30 PDT
Created attachment 609605 [details] [diff] [review]
[WIP]Get LAC and CID

Please applied patch for Bug 736941 first [1].

[1] https://bugzilla.mozilla.org/attachment.cgi?id=609604
Comment 2 Yoshi Huang[:allstars.chh] 2012-05-31 00:12:46 PDT
Created attachment 628615 [details] [diff] [review]
Get LAC and CID

I'll work on test cases.
Comment 3 Yoshi Huang[:allstars.chh] 2012-06-01 04:27:30 PDT
Comment on attachment 628615 [details] [diff] [review]
Get LAC and CID

Hi, Philikon
For the test cases, I found that marionette tests cannot test functionalities in RadioInterfaceLayer, right?

Also xpcshell-tests cannot verify this feature,(Get LAC and CID)

Can you suggest how should I write the test cases?

thanks
Comment 4 Philipp von Weitershausen [:philikon] 2012-06-01 14:15:17 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/0599752de89c

Note You need to log in before you can comment on or make changes to this bug.